=== debian/changelog ===
hping3 (3.a2.ds2-10build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:05:46 +1100

hping3 (3.a2.ds2-10build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:59:15 +0100

hping3 (3.a2.ds2-10) unstable; urgency=medium

  * debian/changelog: removed some whitespaces.
  * debian/control:
      - Added field Rules-Requires-Root.
      - Bumped Standards-Version to 4.5.0.
  * debian/patches:
      - Created the patch 191_fix_ftbfs_with_gcc10.patch.
       (Closes: #957341)
      - Updated the patch 040_spelling.diff.
  * debian/rules: 
      - Removed uninecessary lines.
      - Updated to convert the hping3 french manpage to UTF-8.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control:
      - Added to provide a simple test.
  * debian/watch:
      - added a fake site to explain about the current
        status of the original upstream homepage.
  * Ran wrap-and-sort.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.

 -- Marcio de Souza Oliveira <marciosouza@debian.org>  Wed, 02 Sep 2020 18:12:56 +0000

hping3 (3.a2.ds2-9) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.4.1.
  * Rebuilds to source-only upload.

 -- Marcio de Souza Oliveira <marciosouza@debian.org>  Sun, 03 Nov 2019 22:12:39 -0300

hping3 (3.a2.ds2-8) unstable; urgency=medium

  * New maintainer upload. (Closes: #939423)
    Thank you Guillaume Delacour.
  * Bumped DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.4.0
      - Changed Priority to optional.
      - Updated the maintainer.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Updated file.
  * debian/patches:
      - Created the patch fix_icmp_ipid.patch.
        Thanks David Eisner. (Closes: LP: #1527431)
      - Updated the description of 070_tcl.diff.

 -- Marcio de Souza Oliveira <marciosouza@debian.org>  Tue, 10 Sep 2019 01:07:36 +0000

hping3 (3.a2.ds2-7) unstable; urgency=low

  * Switch to new dpkg source format 3.0 (debian/format/source), drop
    Build-Depends on quilt, remove debian/README.source
  * Use DEP-3 format for each patch
  * Patch upstream Makefile.in to use C{,PP}FLAGS, LDFLAGS in order to use
    dpkg-buildflags (debian/patches/180_dpkg-buildflags.diff) and
    hardening flags
  * Refresh patch debian/patches/070_tcl.diff to handle better tcl detection
    by not hardcoding versions
  * Depends on ${misc:Depends}
  * debian/rules: rewrite based on debhelper 9
  * Update Vcs-{Browser,Git} fields
  * debian/patches/170_gnu_hurd.diff: Fix FTBFS, thanks Samuel Thibault for
    proofreading
  * Refresh debian/patches/020_libpcap0.8.diff to set PCAP_INCLUDE
  * Refresh debian/patches/100_hyphen_used_as_minus_sign.diff
  * debian/patches/190_ip_optlen_conflicting_types.diff: Fix conflicting
    types for variable ip_optlen (Closes: #688458)
  * Update debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 05 Sep 2014 09:38:03 +0200

hping3 (3.a2.ds2-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Replace the obsolete tcl8.4-dev package by tcl-dev in
    build dependencies (Closes: #725324).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Oct 2013 12:42:30 +0400

hping3 (3.a2.ds2-6) unstable; urgency=low

  * debian/patches/140_data_size_udp.diff: Fix incorrect data size
    check for UDP (Closes: #546590), thanks to Luca Bigliardi.
  * debian/patches/150_gnu_kfreebsd.diff: Fix FTBFS for kfreebsd-{i386,amd64}.
  * debian/patches/160_tcp_mss.diff: Add support to TCP MSS from NetBSD:
    patch-aa, patch-ai, patch-aj, patch-ak, patch-al, patch-am, patch-an
    (Closes: #409391).

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 19 Sep 2009 12:35:34 +0000

hping3 (3.a2.ds2-5) unstable; urgency=low

  * debian/patches/080_ip_id_field.diff: Add description to header.
  * debian/patches/090_fr_manpage.diff:
    + use hping2 fr manpage for hping3 (already included in source).
  * debian/patches/100_hyphen_used_as_minus_sign.diff
    + Add "\" to "-" in english and fr manpage (as suggested by lintian).
  * debian/patches/110_dontfrag_offbyone.diff:
    Don't clear packet size if final size equivalent to MTU
    (Closes: #537704), thanks to Christian Mock.
  * debian/patches/120_rtt_icmp_unreachable.diff:
    Add RTT handling for ICMP destination unreachable packets
    (Closes: #248273), thanks to Baruch Even.
  * debian/patches
  * debian/watch:
    + Add empty but documented file (to explain why).
  * Bump to debhelper compatibility 7.
  * Bump Standards-Version to 3.8.3, no changes needed.
  * debian/control: change the git repo location.
  * debian/compat: Bump to 7 (replace dh_clean -k by dh_prep in install rule)
  * debian/copyright: Adjust licences on BSD style sources.

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 04 Sep 2009 23:48:19 +0000

hping3 (3.a2.ds2-4) unstable; urgency=low

  * New maintainer (Closes: #522830)
  * debian/control:
    + Bump Standards-Version to 3.8.1, no changes needed.
  * debian/copyright:
    + /usr/share/common-licenses -> /usr/share/common-licenses/GPL-2
    + Change download url (previous http://wiki.hping.org/101 returns 404)
  * debian/patches/80_ip_id_field.diff:
    + Include patch to fix "-N" command line argument (Closes: #482844).

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 13 May 2009 16:39:41 +0000

hping3 (3.a2.ds2-3) unstable; urgency=low

  * debian/control: Set maintainer to Debian QA group.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 06 Apr 2009 21:53:32 +0200

hping3 (3.a2.ds2-2) unstable; urgency=low

  * debian/control:
    + Use "Tcl", not "TCL" in long description.

