=== debian/control ===
Source: hping3
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcio de Souza Oliveira <marciosouza@debian.org>
Build-Depends: debhelper-compat (= 13), libpcap0.8-dev, tcl-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.hping.org/
Vcs-Browser: https://salsa.debian.org/debian/hping3
Vcs-Git: https://salsa.debian.org/debian/hping3.git

Package: hping3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Active Network Smashing Tool
 hping3 is a network tool able to send custom ICMP/UDP/TCP packets and
 to display target replies like ping does with ICMP replies. It handles
 fragmentation and arbitrary packet body and size, and can be used to
 transfer files under supported protocols. Using hping3, you can test
 firewall rules, perform (spoofed) port scanning, test network
 performance using different protocols, do path MTU discovery, perform
 traceroute-like actions under different protocols, fingerprint remote
 operating systems, audit TCP/IP stacks, etc.  hping3 is scriptable
 using the Tcl language.
