=== debian/tests/control ===
Test-Command: hping3 -c 1 127.0.0.1
Restrictions: allow-stderr,needs-root
